Bug 1256957 - [GSS](6.1.z)Tasks with reassignment throws exception when completing it using the REST API
[GSS](6.1.z)Tasks with reassignment throws exception when completing it using...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: CR2
: ---
Assigned To: Shelly McGowan
Jiri Locker
:
Depends On: 1254823
Blocks: 1259382
  Show dependency treegraph
 
Reported: 2015-08-25 17:10 EDT by William Antônio
Modified: 2016-09-20 01:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1254823
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Antônio 2015-08-25 17:10:44 EDT
+++ This bug was initially created as a clone of Bug #1254823 +++

Description of problem:

With a really simple process with a human task only that has a reassignment to a group if an user does not complete the task, and if the tasks is completed using the REST API before the reassignment happen, we have the following exception:

ERROR org.kie.internal.runtime.manager.SessionNotFoundException: No session found for context {context}


Version-Release number of selected component (if applicable):
n/a

How reproducible:
alwyas

Steps to Reproduce:
1.create a process with a single human task and configure a reassignment of type "not-complete" for it, for example:

users:|groups:r1@1m@not-completed

2. deploy the project with the process
3. start the process, claim the task, start it and complete it using the REST API before the reassignment fires, make sure the process is finished once you complete the task
4. Wait the same time you set for the reassignment

Actual results:

Error in the logs when the reassignment should be fired:

ERROR org.kie.internal.runtime.manager.SessionNotFoundException: No session found for context {context}

Expected results:

No error in the logs

Additional info:

It works when completing the task using Business Central. Seems that the REST API probably misses some call when process are ended to cancel all the scheduled re-assignments?

--- Additional comment from JBoss Product and Program Management on 2015-08-18 20:40:07 EDT ---

Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Marco Rietveld on 2015-08-20 07:47:02 EDT ---

William, thanks for creating the bug. 

Could you attach a full server.log to the bugzilla? Thanks!

If you could also attach the BPMN2 file that you're using to reproduce this issue, that would be great.

--- Additional comment from William Antônio on 2015-08-20 22:12:53 EDT ---

Hello Marco, please see the attachment I created. It has the logs, a video and the bpmn of the process.

Thanks!
Comment 2 Marco Rietveld 2015-09-28 18:48:48 EDT
Fixed. Commits: 

6.2.x: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/6b439851
Comment 3 Karel Suta 2015-10-13 04:01:42 EDT
Verified in 6.1.4

Note You need to log in before you can comment on or make changes to this bug.